curl --request GET \
--url https://api.myscalev.com/v3/stores/{store_id}/customers/me/subscription-items/{id}/downgrade \
--header 'Authorization: Bearer <token>'{
"data": [
{
"currency": "IDR",
"id": 123,
"images": [
"<string>"
],
"interval": "day",
"interval_count": 123,
"item_type": "physical",
"name": "<string>",
"price": 123,
"pricing_type": "one_time",
"product_name": "<string>",
"unique_id": "<string>",
"validity_period": 123,
"validity_period_unit": "day"
}
],
"is_paginated": false
}No OAuth machine scope. Customer-authenticated storefront endpoint. Retrieves a list of variants with lower prices than the current variant of the subscription item. Only active subscription items that are not scheduled for cancellation are eligible.
curl --request GET \
--url https://api.myscalev.com/v3/stores/{store_id}/customers/me/subscription-items/{id}/downgrade \
--header 'Authorization: Bearer <token>'{
"data": [
{
"currency": "IDR",
"id": 123,
"images": [
"<string>"
],
"interval": "day",
"interval_count": 123,
"item_type": "physical",
"name": "<string>",
"price": 123,
"pricing_type": "one_time",
"product_name": "<string>",
"unique_id": "<string>",
"validity_period": 123,
"validity_period_unit": "day"
}
],
"is_paginated": false
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.